Page MenuHomePhabricator

Do not set wpb-banner-options if the custom and wikidata banner are invalid.
Closed, ResolvedPublic

Description

If {{PAGEBANNER...}} fails to find a valid custom banner, 'wpb-banner-options' shouldn't be set. This property should only be set if either the custom banner is valid or the article has an associated wikidata banner.

Event Timeline

Sumit created this task.Dec 3 2015, 9:12 AM
Sumit updated the task description. (Show Details)
Sumit raised the priority of this task from to Needs Triage.
Sumit moved this task to In discussion on the Wikidata-Page-Banner board.
Sumit added a subscriber: Sumit.
Restricted Application added a project: Wikidata. · View Herald TranscriptDec 3 2015, 9:12 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 3 2015, 3:32 PM
Sumit updated the task description. (Show Details)Dec 3 2015, 6:13 PM
Sumit set Security to None.
Jdlrobson triaged this task as Normal priority.Dec 4 2015, 6:03 PM
Jdlrobson added a subscriber: Jdlrobson.
Neonowy claimed this task.Dec 15 2015, 12:50 AM

Change 259203 had a related patch set uploaded (by Neonowy):
Do not set wpb-banner-options if the custom and wikidata banner are invalid

https://gerrit.wikimedia.org/r/259203

Change 259203 merged by jenkins-bot:
Do not set wpb-banner-options if the custom and wikidata banner are invalid

https://gerrit.wikimedia.org/r/259203

Jdlrobson closed this task as Resolved.Dec 15 2015, 7:46 PM